org.apache.ignite.internal.cache.query.index.sorted

## Enum IndexKeyType

- java.lang.Object
- - java.lang.Enum<IndexKeyType>
  - - org.apache.ignite.internal.cache.query.index.sorted.IndexKeyType

All Implemented Interfaces:
  Serializable, Comparable<IndexKeyType>

    public enum IndexKeyType
    extends Enum<IndexKeyType>

List of available types to use as index key.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY` The value type for ARRAY values.
`BLOB` The value type for BLOB values.
`BOOLEAN` The value type for BOOLEAN values.
`BYTE` The value type for BYTE values.
`BYTES` The value type for BYTES values.
`CLOB` The value type for CLOB values.
`DATE` The value type for DATE values.
`DECIMAL` The value type for DECIMAL values.
`DOUBLE` The value type for DOUBLE values.
`ENUM` The value type for ENUM values.
`FLOAT` The value type for FLOAT values.
`GEOMETRY` The value type for string values with a fixed size.
`INT` The value type for INT values.
`JAVA_OBJECT` The value type for JAVA_OBJECT values.
`LONG` The value type for LONG values.
`NULL` The value type for NULL.
`RESULT_SET` The value type for RESULT_SET values.
`SHORT` The value type for SHORT values.
`STRING` The value type for STRING values.
`STRING_FIXED` The value type for string values with a fixed size.
`STRING_IGNORECASE` The value type for case insensitive STRING values.
`TIME` The value type for TIME values.
`TIMESTAMP` The value type for TIMESTAMP values.
`TIMESTAMP_TZ` The value type for TIMESTAMP WITH TIME ZONE values.
`UNKNOWN` The data type is unknown at this time.
`UUID` The value type for UUID values.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `code()`
`static IndexKeyType` `forClass(Class<?> cls)` Find type by class.
`static IndexKeyType` `forCode(int code)` Find type by code.
`static IndexKeyType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexKeyType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final IndexKeyType UNKNOWN

The data type is unknown at this time.

#### NULL

    public static final IndexKeyType NULL

The value type for NULL.

#### BOOLEAN

    public static final IndexKeyType BOOLEAN

The value type for BOOLEAN values.

#### BYTE

    public static final IndexKeyType BYTE

The value type for BYTE values.

#### SHORT

    public static final IndexKeyType SHORT

The value type for SHORT values.

#### INT

    public static final IndexKeyType INT

The value type for INT values.

#### LONG

    public static final IndexKeyType LONG

The value type for LONG values.

#### DECIMAL

    public static final IndexKeyType DECIMAL

The value type for DECIMAL values.

#### DOUBLE

    public static final IndexKeyType DOUBLE

The value type for DOUBLE values.

#### FLOAT

    public static final IndexKeyType FLOAT

The value type for FLOAT values.

#### TIME

    public static final IndexKeyType TIME

The value type for TIME values.

#### DATE

    public static final IndexKeyType DATE

The value type for DATE values.

#### TIMESTAMP

    public static final IndexKeyType TIMESTAMP

The value type for TIMESTAMP values.

#### BYTES

    public static final IndexKeyType BYTES

The value type for BYTES values.

#### STRING

    public static final IndexKeyType STRING

The value type for STRING values.

#### STRING_IGNORECASE

    public static final IndexKeyType STRING_IGNORECASE

The value type for case insensitive STRING values.

#### BLOB

    public static final IndexKeyType BLOB

The value type for BLOB values.

#### CLOB

    public static final IndexKeyType CLOB

The value type for CLOB values.

#### ARRAY

    public static final IndexKeyType ARRAY

The value type for ARRAY values.

#### RESULT_SET

    public static final IndexKeyType RESULT_SET

The value type for RESULT_SET values.

#### JAVA_OBJECT

    public static final IndexKeyType JAVA_OBJECT

The value type for JAVA_OBJECT values.

#### UUID

    public static final IndexKeyType UUID

The value type for UUID values.

#### STRING_FIXED

    public static final IndexKeyType STRING_FIXED

The value type for string values with a fixed size.

#### GEOMETRY

    public static final IndexKeyType GEOMETRY

The value type for string values with a fixed size.

#### TIMESTAMP_TZ

    public static final IndexKeyType TIMESTAMP_TZ

The value type for TIMESTAMP WITH TIME ZONE values.

#### ENUM

    public static final IndexKeyType ENUM

The value type for ENUM values.

### Method Detail

#### values

    public static IndexKeyType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndexKeyType c : IndexKeyType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndexKeyType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### code

    public int code()

#### forCode

    public static IndexKeyType forCode(int code)

Find type by code.

#### forClass

    public static IndexKeyType forClass(Class<?> cls)

Find type by class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022